# KSPRegisterAll

Registers all of the Krylov subspace methods in the KSP package.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPRegisterAll(const char path[])

Not Collective

### Keywords

KSP, register, all

### See Also

KSPRegisterDestroy()

Level:advanced
Location: src/ksp/ksp/interface/itregis.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages